using System.Collections;
using System.Collections.Generic;
using UnityEngine.UI;
using UnityEngine;
using HeathenEngineering;

#if ENABLE_INPUT_SYSTEM
using UnityEngine.InputSystem;
#endif

public class InvertSetting : MonoBehaviour
{
    [SerializeField] private BoolVariable value;

    private void Update()
    {
        if (Gamepad.current == null) {
            return;
        }
        if (Gamepad.current.rightStick.y.invert == value.Value) {
            return;
        }
        Gamepad.current.rightStick.y.invert = value.Value;
    }
}
